sensorfw: MagnetometerSensorChannel Class Reference

sensorfw

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
MagnetometerSensorChannel Class Reference

Sensor providing magnetic field measurements. More...

`#include <magnetometersensor.h>`

Inheritance diagram for MagnetometerSensorChannel:

## Public Slots
bool | start ()
bool | stop ()

## Signals
void | dataAvailable (const MagneticField &data)
| Sent when new measurement data has become available. More...
void | internalData (const MagneticField &data)

## Public Member Functions
Q_INVOKABLE void | resetCalibration ()
MagneticField | magneticField () const
virtual void | removeSession (int sessionId)
virtual bool | downsamplingSupported () const

## Static Public Member Functions
static AbstractSensorChannel * | factoryMethod (const QString &id)
| Factory method for MagnetometerSensorChannel. More...

## Protected Member Functions
| MagnetometerSensorChannel (const QString &id)
virtual | ~MagnetometerSensorChannel ()
virtual bool | setDataRange (const DataRange &range, int sessionId)

## Properties
MagneticField | magneticField

## Detailed Description

Sensor providing magnetic field measurements.

Definition at line 45 of file magnetometersensor.h.

## Constructor & Destructor Documentation

## ◆ MagnetometerSensorChannel()

MagnetometerSensorChannel::MagnetometerSensorChannel | ( | const QString & | id | ) |
| protected

## ◆ ~MagnetometerSensorChannel()

virtual MagnetometerSensorChannel::~MagnetometerSensorChannel | ( |  | ) |
| protectedvirtual

## Member Function Documentation

## ◆ dataAvailable

void MagnetometerSensorChannel::dataAvailable | ( | const MagneticField & | data | ) |
| signal

Sent when new measurement data has become available.

Parameters

  data | Newly measured data.

## ◆ downsamplingSupported()

virtual bool MagnetometerSensorChannel::downsamplingSupported | ( |  | ) | const
| virtual

## ◆ factoryMethod()

static AbstractSensorChannel * MagnetometerSensorChannel::factoryMethod | ( | const QString & | id | ) |
| inlinestatic

Factory method for MagnetometerSensorChannel.

Returns
  new MagnetometerSensorChannel as AbstractSensorChannel*.

Definition at line 57 of file magnetometersensor.h.

## ◆ internalData

void MagnetometerSensorChannel::internalData | ( | const MagneticField & | data | ) |
| signal

## ◆ magneticField()

MagneticField MagnetometerSensorChannel::magneticField | ( |  | ) | const
| inline

Definition at line 67 of file magnetometersensor.h.

## ◆ removeSession()

virtual void MagnetometerSensorChannel::removeSession | ( | int | sessionId | ) |
| virtual

## ◆ resetCalibration()

Q_INVOKABLE void MagnetometerSensorChannel::resetCalibration | ( |  | ) |

## ◆ setDataRange()

virtual bool MagnetometerSensorChannel::setDataRange | ( | const DataRange & | range,
|  | int | sessionId
| ) |  |
| protectedvirtual

## ◆ start

bool MagnetometerSensorChannel::start | ( |  | ) |
| slot

## ◆ stop

bool MagnetometerSensorChannel::stop | ( |  | ) |
| slot

## Property Documentation

## ◆ magneticField

MagneticField MagnetometerSensorChannel::magneticField
| read

Definition at line 1 of file magnetometersensor.h.

The documentation for this class was generated from the following file:

- sensors/magnetometersensor/magnetometersensor.h